namespace AsteroidGame.Interfaces
{
    public interface IDamageable
    {
        public void ModifyHealth(int healthChange);

        public void SetHealth(int newHealth);

        public void SetMaxHealth(int newHealth);

        public int GetHealth();

        public int GetMaxHealth();

        public float GetHealthFactor();
    }
}
